Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditor

    java.lang.Object
      ix.icore.IXAgent
          ix.util.xml.XMLTreeEditor

    public class XMLTreeEditor

extends IXAgent

An XML tree editor as a standalone application main program and I-X agent.

See Also:
  `XMLTreeEditFrame`, `XMLTreeEditPanel`

Nested Class Summary
`protected class` | `XMLTreeEditor.MessageFrame` An editor frame for displaying any messages received by a tree editor acting as an I-X agent.

Field Summary
`protected XMLTreeEditFrame` | `frame`
`protected XMLTreeEditor.MessageFrame` | `messageFrame`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, mainAgent, nameListeners, startupDate, startupHooks, symbolName, textFrame`

Constructor Summary
`XMLTreeEditor()`

Method Summary
`void` | `addTool(ToolController tc)` Adds a tool, usually by adding an entry to a "Tools" menu in the GUI.
`void` | `handleInput(IPC.InputMessage message)` Handles external input in the form of an IPC.InputMessage that contains an object such as an Issue, Activity, or Report.
`static void` | `main(java.lang.String[] argv)` Main program.
`protected void` | `processCommandLineArguments()` Command-line argument processing.
`void` | `startup()` Completes setup and initialization.

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, adjustLookAndFeel, displayMessage, do_mainStartup, ensureTool, exit, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, handleReceivedReport, installAgentExtensions, installAgentExtensions, isMainAgent, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, setEventLogger, setupISimTimer, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    protected XMLTreeEditFrame frame

### messageFrame

    protected XMLTreeEditor.MessageFrame messageFrame

Constructor Detail

### XMLTreeEditor

    public XMLTreeEditor()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Main program.

### processCommandLineArguments

    protected void processCommandLineArguments()

  Command-line argument processing. There are at present no command-line arguments beyond those used by all IXAgents.

  Overrides:
    `processCommandLineArguments` in class `IXAgent`
  See Also:
    `IXAgent.processCommandLineArguments()`

### startup

    public void startup()

  Completes setup and initialization.

  Overrides:
    `startup` in class `IXAgent`

### handleInput

    public void handleInput(IPC.InputMessage message)

  Description copied from class: `IXAgent`
  Handles external input in the form of an IPC.InputMessage that contains an object such as an Issue, Activity, or Report. It calls one of `handleNewIssue`, `handleNewReport`, etc as appropriate.

  Overrides:
    `handleInput` in class `IXAgent`

### addTool

    public void addTool(ToolController tc)

  Description copied from class: `IXAgent`
  Adds a tool, usually by adding an entry to a "Tools" menu in the GUI. This method throws an exception that says tool additions are not supported; it should be overridden in subclasses that do allow tools.

  Overrides:
    `addTool` in class `IXAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD